| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ODGraphicsMarkerItem Class Reference

`#include <odgraphicsitem.h>`

Inheritance diagram for ODGraphicsMarkerItem:
[legend]

## Public Member Functions
| ODGraphicsMarkerItem ()
virtual | ~ODGraphicsMarkerItem ()
QRectF | boundingRect () const override
const MarkerStyle2D * | getMarkerStyle ()
void | paint (QPainter *, const QStyleOptionGraphicsItem *, QWidget *) override
void | setFill (bool fill)
void | setFillColor (const OD::Color &col)
void | setMarkerStyle (const MarkerStyle2D &)
void | setSideLength (int side)
int | type () const override

## Static Public Member Functions
static void | drawMarker (QPainter &, MarkerStyle2D::Type, float, float)

## Protected Member Functions
void | mouseMoveEvent (QGraphicsSceneMouseEvent *) override

## Protected Attributes
QRectF | boundingrect_
bool | fill_ = false
OD::Color | fillcolor_ = OD::Color::White()
MarkerStyle2D * | mstyle_
int | side_ = 1

## Constructor & Destructor Documentation

## ◆ ODGraphicsMarkerItem()

ODGraphicsMarkerItem::ODGraphicsMarkerItem | ( |  | ) |

## ◆ ~ODGraphicsMarkerItem()

virtual ODGraphicsMarkerItem::~ODGraphicsMarkerItem | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ boundingRect()

QRectF ODGraphicsMarkerItem::boundingRect | ( |  | ) | const
| override

## ◆ drawMarker()

static void ODGraphicsMarkerItem::drawMarker | ( | QPainter & | ,
|  | MarkerStyle2D::Type | ,
|  | float | ,
|  | float | )
| static

## ◆ getMarkerStyle()

const MarkerStyle2D * ODGraphicsMarkerItem::getMarkerStyle | ( |  | ) |
| inline

## ◆ mouseMoveEvent()

void ODGraphicsMarkerItem::mouseMoveEvent | ( | QGraphicsSceneMouseEvent * |  | ) |
| override protected

## ◆ paint()

void ODGraphicsMarkerItem::paint | ( | QPainter * | ,
|  | const QStyleOptionGraphicsItem * | ,
|  | QWidget * | )
| override

## ◆ setFill()

void ODGraphicsMarkerItem::setFill | ( | bool | fill | ) |
| inline

## ◆ setFillColor()

void ODGraphicsMarkerItem::setFillColor | ( | const OD::Color & | col | ) |
| inline

## ◆ setMarkerStyle()

void ODGraphicsMarkerItem::setMarkerStyle | ( | const MarkerStyle2D & |  | ) |

## ◆ setSideLength()

void ODGraphicsMarkerItem::setSideLength | ( | int | side | ) |
| inline

## ◆ type()

int ODGraphicsMarkerItem::type | ( |  | ) | const
| inline override

## Member Data Documentation

## ◆ boundingrect_

QRectF ODGraphicsMarkerItem::boundingrect_
| protected

## ◆ fill_

bool ODGraphicsMarkerItem::fill_ = false
| protected

## ◆ fillcolor_

OD::Color ODGraphicsMarkerItem::fillcolor_ = OD::Color::White()
| protected

## ◆ mstyle_

MarkerStyle2D* ODGraphicsMarkerItem::mstyle_
| protected

## ◆ side_

int ODGraphicsMarkerItem::side_ = 1
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025